Bug 175371 - [patch] deskutils/parcellite - Update to 1.1.1
[patch] deskutils/parcellite - Update to 1.1.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 15:50 UTC by Guido Falsi
Modified: 2013-01-17 19:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.48 KB, patch)
2013-01-17 15:50 UTC, Guido Falsi
no flags Details | Diff
parcellite.diff (2.48 KB, patch)
2013-01-17 17:39 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2013-01-17 15:50:00 UTC
- Update to 1.1.1
- Convert to optionsng NLS knob
- Trim Makefile header

Maintainer is CCed.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-17 15:50:12 UTC
Maintainer of deskutils/parcellite,

Please note that PR ports/175371 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175371

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-17 15:50:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Guido Falsi freebsd_committer 2013-01-17 16:04:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 Joseph Mingrone 2013-01-17 16:36:41 UTC
On Thu, Jan 17, 2013 at 11:50 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of deskutils/parcellite,
>
> Please note that PR ports/175371 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175371


I approve.

Thanks,

Joseph
Comment 5 Guido Falsi freebsd_committer 2013-01-17 17:39:56 UTC
The author seems to be in a release frenzy, so here is a new patch which 
updates the port to 1.1.2 for you to approve.

I hope this will be the good one!

Thanks a lot!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 Guido Falsi freebsd_committer 2013-01-17 18:54:44 UTC
State Changed
From-To: feedback->open

Maintainer has approved. (via email)
Comment 7 Guido Falsi freebsd_committer 2013-01-17 18:58:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter freebsd_committer 2013-01-17 18:58:08 UTC
Author: madpilot
Date: Thu Jan 17 18:57:54 2013
New Revision: 310555
URL: http://svnweb.freebsd.org/changeset/ports/310555

Log:
  - Update to 1.1.2
  - Convert to optionsng NLS knob
  - Trim Makefile header
  
  PR:		ports/175371
  Submitted by:	myself
  Approved by:	Joseph Mingrone <jrm@ftfl.ca> (maintainer)

Deleted:
  head/deskutils/parcellite/files/patch-src_main.c
Modified:
  head/deskutils/parcellite/Makefile   (contents, props changed)
  head/deskutils/parcellite/distinfo   (contents, props changed)
  head/deskutils/parcellite/pkg-plist   (contents, props changed)

Modified: head/deskutils/parcellite/Makefile
==============================================================================
--- head/deskutils/parcellite/Makefile	Thu Jan 17 16:43:07 2013	(r310554)
+++ head/deskutils/parcellite/Makefile	Thu Jan 17 18:57:54 2013	(r310555)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	parcellite
-# Date created:	29 April 2009
-# Whom:	Joey Mingrone <joey@mingrone.org>
-#
+# Created by: Joey Mingrone <joey@mingrone.org>
 # $FreeBSD$
-#
 
 PORTNAME=	parcellite
-PORTVERSION=	1.0.1
-PORTREVISION=	1
+PORTVERSION=	1.1.2
 CATEGORIES=	deskutils
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
@@ -18,7 +13,9 @@ GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GNOME=	gtk20
 
-.if !defined(WITHOUT_NLS)
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .else

Modified: head/deskutils/parcellite/distinfo
==============================================================================
--- head/deskutils/parcellite/distinfo	Thu Jan 17 16:43:07 2013	(r310554)
+++ head/deskutils/parcellite/distinfo	Thu Jan 17 18:57:54 2013	(r310555)
@@ -1,2 +1,2 @@
-SHA256 (parcellite-1.0.1.tar.gz) = a4e7a1bd0616683b7eb4b08350cdaa355b1c9d5c93a4caa0cef4a813cf4cc526
-SIZE (parcellite-1.0.1.tar.gz) = 555184
+SHA256 (parcellite-1.1.2.tar.gz) = 06ff46a38ab430d5daa9bb01afe92eb777715f9cd4fab8b0d7e0a3d62b28d42a
+SIZE (parcellite-1.1.2.tar.gz) = 690826

Modified: head/deskutils/parcellite/pkg-plist
==============================================================================
--- head/deskutils/parcellite/pkg-plist	Thu Jan 17 16:43:07 2013	(r310554)
+++ head/deskutils/parcellite/pkg-plist	Thu Jan 17 18:57:54 2013	(r310555)
@@ -4,6 +4,7 @@ share/applications/parcellite.desktop
 share/pixmaps/parcellite.png
 share/pixmaps/parcellite.svg
 share/pixmaps/parcellite.xpm
+%%NLS%%share/locale/ca/LC_MESSAGES/parcellite.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/parcellite.mo
 %%NLS%%share/locale/da/LC_MESSAGES/parcellite.mo
 %%NLS%%share/locale/de/LC_MESSAGES/parcellite.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"